tigase.jaxmpp.gwt.client.dns

## Class WebDnsResolver

- java.lang.Object
- - tigase.jaxmpp.gwt.client.dns.WebDnsResolver

- All Implemented Interfaces:
    ContextAware

      public class WebDnsResolver
      extends Object
      implements ContextAware

  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `WebDnsResolver.DomainResolutionCallback`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `WEB_DNS_RESOLVER_URL_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebDnsResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getHostForDomain(String domain, String hostname, WebDnsResolver.DomainResolutionCallback hostResolutionCallback)`
    `String` | `getResolverUrl()`
    `void` | `hostFailure(String url)`
    `boolean` | `isEnabled()`
    `void` | `setContext(Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WEB_DNS_RESOLVER_URL_KEY

          public static final String WEB_DNS_RESOLVER_URL_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebDnsResolver

          public WebDnsResolver()

  - ### Method Detail

    - #### getHostForDomain

          public void getHostForDomain(String domain,
                                       String hostname,
                                       WebDnsResolver.DomainResolutionCallback hostResolutionCallback)

    - #### getResolverUrl

          public String getResolverUrl()

    - #### hostFailure

          public void hostFailure(String url)

    - #### isEnabled

          public boolean isEnabled()

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`

Copyright © 2006–2019 Tigase. All rights reserved.